import React from 'react';
import { useLocation } from '@gatsbyjs/reach-router';
import PropTypes from 'prop-types';

import { GatsbyLink } from 'gatsby-theme-thepuzzlers-core';

// Uses GatsbyLink, to navigate to a new page
export const PageLink = ({ children, to, sx = {}, variant = 'navigation' }) => {
  const location = useLocation();

  return (
    <GatsbyLink
      active={location.pathname === to}
      sx={sx}
      to={to}
      variant={variant}>
      {children}
    </GatsbyLink>
  );
};

PageLink.propTypes = {
  to: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
  sx: PropTypes.shape(),
  variant: PropTypes.string
};

PageLink.defaultProps = {
  sx: {},
  variant: 'navigation'
};
